//
// THIS FILE IS COPYRIGHT 1994, 1995 BY TELENOR R&D, NORWAY
//
//                        ALL RIGHTS RESERVED.
//
// For rights granted to the public see the COPYRIGHT file
//
//
// Html.h	Parses the html documents a adds all words to the
//		global word list with an url.
//
// Author:  Ken Ronny Schouten

#ifndef _HTML_H
#define _HTML_H

#include <String.h>
#include "Wordfilter.h"
#include "Index.h"

#define HOPEN 1
#define HREAD 2

#define HOPT_FILEDATE 	1<<0		// Get document date from file date
#define HOPT_COMMENTS	1<<1	  	// Index content of comments

class Html {
public:
    // constructor
    Html(String filename, String dir, String urlroot,
	 Wordfilter& filter, Index& index, int options);

    int error();
private:
    int    _error;

    void parseHtmlCommand(unsigned char *command, short* stat, Url *url,
			  Wordfilter& filter, Index& index, int options);
};

inline int Html::error()
{
    return _error;
}

#define SET_BIT(w, bit)            ( (w) |= (bit) )
#define CLR_BIT(w, bit)            ( (w) &= ~(bit) )
#define BIT(w, bit)                ( (w) & (bit) )

#define READ_WORD                  (1 << 0)
#define READ_COMMAND               (1 << 1)
#define READ_STRING                (1 << 2)
#define SPECIAL                    (1 << 3)

#define MAX_BUFFER 8192            // Was 1k
#define MAX_WORD   256
#define MAX_LENGTH 1024

#endif /* _HTML_H */
