//
// THIS FILE IS COPYRIGHT 1994, 1995 BY TELENOR R&D, NORWAY
//
//                        ALL RIGHTS RESERVED.
//
// For rights granted to the public see the COPYRIGHT file
//
//
// Wordfilter.h		Wordfilter source. Builds a set of words that
//			should not be indexed (the, a, and, or...).
//
// Author:  Ken Ronny Schouten

#ifndef _WORDFILTER_H
#define _WORDFILTER_H

#include <S.SplaySet.h>

#define WORDF_DEFAULT_FILE	"wordfilter.txt"

struct WordFilterParams {
    int min_word_length;
    int max_word_length;
    char allow_numbers;
    char allow_identicals;
};

class Wordfilter {
public:
    Wordfilter(String& filename, WordFilterParams &wfp);
    Wordfilter(WordFilterParams &wfp);
    Wordfilter();
    int add(String& filename);
    int IsNotAllowed(String &string);
private:
    StringSplaySet	_words;
    WordFilterParams params;
};

#endif /* _WORDFILTER_H */
